IPMI-RAW(8)

NAME
ipmi-raw - manual page for ipmi-raw. IPMI Raw version 0.4.3

SYNOPSIS
ipmi-raw [OPTION...] <lun> <netfn> [COMMAND-HEX-BYTES]

DESCRIPTION
IPMI Raw - executes IPMI commands by hex values.

OPTIONS

--no-probing
    Do not probe IPMI devices.

-D, --driver-type=IPMIDRIVER
    Use this IPMIDRIVER instead of auto selection. Allowed values are KCS, SMIC, SSIF, LAN, and OPENIPMI.

--driver-address=DRIVERADDR
    Use this DRIVERADDR address instead of probed one.

--driver-device=DEVICE Use this DEVICE for IPMI driver.

-r, --register-spacing=EGISTERSPACING
    Use this REGISTERSPACING instead of the probed one.

-h, --hostname=IPMIHOST
    Connect to IPMIHOST. IPMIHOST may include host ranges. See HOSTRANGED OUTPUT below.

-u, --username=USERNAME
    Use USERNAME instead of NULL. Maximum USERNAME length is 16.

-p, --password=PASSWORD
    Use PASSWORD instead of NULL. Maximum PASSWORD length is 16.

-P, --password-prompt
    Prompt for password to avoid possibility of listing it in process lists.

-a, --auth-type=AUTHTYPE
    Use AUTHTYPE instead of MD5. Allowed values are NONE, MD2, MD5, and PLAIN.

-l, --priv-level=PRIVILEGE-LEVEL
    Use this PRIVILEGE-LEVEL instead of USER. Allowed values are CALLBACK, USER, OPERATOR, ADMIN and OEM.

-?, --help
    Give this help list

--usage
    Give a short usage message

-V, --version
    Print program version

-f, --file=CMD-FILE
    Read command requests from CMD-FILE.

-B, --buffer-output
    Buffer hostranged output. For each node, buffer standard output until the node has completed its IPMI operation. When specifying this option, data may appear to output slower to the user since the the entire IPMI operation must complete before any data can be output. See HOSTRANGED SUPPORT below for additional information.

-C, --consolidate-output
    Consolidate hostranged output. The complete standard output from every node specified will be consolidated so that nodes with identical output are not output twice. A header will list those nodes with the consolidated output. When this option is specified, no output can be seen until the IPMI operations to all nodes has completed. If the user breaks out of the program early, all currently consolidated output will be dumped. See HOSTRANGED OUTPUT below for additional information.

-F, --fanout
    Set multiple host fanout. A "sliding window" (or fanout) algorithm is used for parallel IPMI communication so that slower nodes or timed out nodes will not impede parallel communication. The maximum number of threads available at the same time is limited by the fanout. The default is 64. See HOSTRANGED OUTPUT below for additional information.

-E, --eliminate
    Eliminate hosts determined as undetected by ipmidetect. This attempts to remove the common issue of hostranged execution timing out due to several nodes being removed from service in a large cluster. The ipmidetectd daemon must be running on the node executing the command. See HOSTRANGED OUTPUT below for additional information.

HOSTRANGED OUTPUT
The host input specified by the user can accept multiple hosts for parallel out of band communication and output. Multiple hosts can be input either as an explicit comma seperated lists of hosts or a range of hostnames in the general form: prefix[n-m,l-k,...], where n < m and l < k, etc. The later form should not be confused with regular expression character classes (also denoted by []). For example, foo[19] does not represent foo1 or foo9, but rather represents a degenerate range: foo19.

This range syntax is meant only as a convenience on clusters with a prefixNN naming convention and specification of ranges should not be considered necessary -- the list foo1,foo9 could be specified as such, or by the range foo[1,9].

Some examples of range usage follow:
    foo[01-05] instead of foo01,foo02,foo03,foo04,foo05
    foo[7,9-10] instead of foo7,foo9,foo10
    foo[0-3] instead of foo0,foo1,foo2,foo3

As a reminder to the reader, some shells will interpret brackets ([ and ]) for pattern matching. Depending on your shell, it may be necessary to enclose ranged lists within quotes.

By default, standard output from each node specified will be output with the hostname prepended to each line. Although this output is readable in many situations, it may be difficult to read in other situations. For example, output from multiple nodes may be mixed together. The -B and -C options can be used to change this default.

In-band IPMI Communication will be used when the host "localhost" is specified. This allows the user to add the localhost into the hostranged output.

EXAMPLES
~# ipmi-raw 0 6 01

Execute command 0x01 with LUN 0x0 and NETFN 0x06

~# ipmi-raw

Read LUN, NETFN, command and request data from standard input.

~# ipmi-raw -f command-file

Read LUN/FN, command and request data from given file instead of standard input.

~# ipmi-raw < command-file

Read LUN, NETFN, command and request data from file as standard input.

REPORTING BUGS
Report bugs to <freeipmi-devel@gnu.org>.

COPYRIGHT
Copyright © 2003-2005 FreeIPMI Core Team This program is free software; you may redistribute it under the terms of the GNU General Public License. This program has absolutely no warranty.

WORKAROUND
On the IBM e325, the BMC firmware is very buggy and prohibits most in-band communication in FreeIPMI. We recommend using the IBM provided 'lancfg' tool to initially configure the BMC, then use out-of-band access for further communication.